package com.hzya.frame.plugin.ncc.entity;
import com.hzya.frame.web.entity.BaseEntity;

import java.math.BigDecimal;
/**
 * @description: 采购订单子表  
 * @tableName:   po_order_b 
 * @entityName:  POrderBEntity
 * @author: 	 code_generator
 * @history:	 1.0
 */

public class POrderBEntity extends BaseEntity {

	/**  */
	private String pk_order;
	/**  */
	private String pk_order_b;
	/** 集团 */
	private String pk_group;
	/** 组织 */
	private String pk_org;
	/** 行号 */
	private String crowno;
	/** 物料 */
	private String pk_material;
	/** 物料编码 */
	private String material_code;
	/** 物料名称 */
	private String material_name;
	private String material_class_id;
	/** 主单位 */
	private String cunitid;
	/** 主单位名称 */
	private String cunitid_name;
	/** 辅单位 */
	private String castunitid;
	/** 副单位名称 */
	private String castunitid_name;
	/** 吨数 */
	private BigDecimal nnum;
	/** 件数 */
	private BigDecimal nastnum;
	/** 换算率 */
	private String vchangerate;
	/** 无税单价 */
	private BigDecimal norigprice;
	/** 含税单价 */
	private BigDecimal norigtaxprice;
	/** 无税金额 */
	private BigDecimal norignetprice;
	/** 含税金额 */
	private BigDecimal norigtaxnetprice;
	/** 税额 */
	private BigDecimal ntax;
	/** 价税合计 */
	private BigDecimal norigtaxmny;
	/** 税率 */
	private BigDecimal ntaxrate;
	/** 币种 */
	private String corigcurrencyid;
	private String corigcurrencyid_name;
	/** 来源单据类型	 */
	private String csourcetypecode;
	/** 来源单据	 */
	private String csourceid;
	/** 来源单据明细	 */
	private String csourcebid;
	/** 源头单据类型	 */
	private String cfirsttypecode;
	/** 源头单据	 */
	private String cfirstid;
	/** 源头单据明细	 */
	private String cfirstbid;
	/** 是否赠品	 */
	private String blargess;
	/** 源头交易类型	 */
	private String vfirsttrantype;
	/** 源头单据号	 */
	private String vfirstcode;
	/** 源头单据行号	 */
	private String vfirstrowno;
	/** 来源交易类型	 */
	private String vsourcetrantype;
	/** 来源单据号	 */
	private String vsourcecode;
	/** 来源单据行号	 */
	private String vsourcerowno;
	/** 自由辅助属性1 */
	private String vfree1;
	/** 自由辅助属性2 */
	private String vfree2;
	/** 自由辅助属性3 */
	private String vfree3;
	/** 自由辅助属性4 */
	private String vfree4;
	/** 自由辅助属性5 */
	private String vfree5;
	/** 自由辅助属性6 */
	private String vfree6;
	private String pk_grade;
	/** 自由辅助属性7 */
	private String vfree7;
	/** FSC/EUDR主键 */

	private String pk_vfree8;
	/** FSC/EUDR */

	private String vfree8;
	/** 自由辅助属性9 */
	private String vfree9;
	/** 品牌主键 */

	private String pk_vfree10;
	/** 品牌 */

	private String vfree10;
	/** 自定义项1 */
	private String vbdef1;
	/** 自定义项2 */
	private String vbdef2;
	/** 自定义项3 */
	private String vbdef3;
	/** 自定义项4 */
	private String vbdef4;
	/** 自定义项5 */
	private String vbdef5;
	/** 自定义项6 */
	private String vbdef6;
	/** 自定义项7 */
	private String vbdef7;
	/** 自定义项8 */
	private String vbdef8;
	/** 自定义项9 */
	private String vbdef9;
	/** 自定义项10 */
	private String vbdef10;
	/** 自定义项11 */
	private String vbdef11;
	/** 自定义项12 */
	private String vbdef12;
	/** 自定义项13 */
	private String vbdef13;
	/** 自定义项14 */
	private String vbdef14;
	/** 自定义项15 */
	private String vbdef15;
	/** 自定义项16 */
	private String vbdef16;
	/** 自定义项17 */
	private String vbdef17;
	/** 自定义项18 */
	private String vbdef18;
	/** 自定义项19 */
	private String vbdef19;
	/** 自定义项20 */
	private String vbdef20;
	private String vbmemo;
	private String external_material_spec;
	/** 报价单位 */
	private String cqtunitid;
	private String cqtunitid_name;
	/** 报价数量 */
	private BigDecimal nqtunitnum;
	/** 折本汇率 */
	private BigDecimal nexchangerate;
	/** 收货仓库 */
	private String pk_recvstordoc;
	private String recvstordoc_name;
	/** 计划到货日期 */
	private String dplanarrvdate;

	private String special_type;
	private String vbatchcode;

	private String ic_id;

	private BigDecimal price;
	private BigDecimal taxprice;
	private String material_id;

	public String getPk_order() {
		return pk_order;
	}

	public void setPk_order(String pk_order) {
		this.pk_order = pk_order;
	}

	public String getPk_order_b() {
		return pk_order_b;
	}

	public void setPk_order_b(String pk_order_b) {
		this.pk_order_b = pk_order_b;
	}

	public String getPk_group() {
		return pk_group;
	}

	public void setPk_group(String pk_group) {
		this.pk_group = pk_group;
	}

	public String getPk_org() {
		return pk_org;
	}

	public void setPk_org(String pk_org) {
		this.pk_org = pk_org;
	}

	public String getCrowno() {
		return crowno;
	}

	public void setCrowno(String crowno) {
		this.crowno = crowno;
	}

	public String getPk_material() {
		return pk_material;
	}

	public void setPk_material(String pk_material) {
		this.pk_material = pk_material;
	}

	public String getMaterial_code() {
		return material_code;
	}

	public void setMaterial_code(String material_code) {
		this.material_code = material_code;
	}

	public String getMaterial_name() {
		return material_name;
	}

	public void setMaterial_name(String material_name) {
		this.material_name = material_name;
	}

	public String getMaterial_class_id() {
		return material_class_id;
	}

	public void setMaterial_class_id(String material_class_id) {
		this.material_class_id = material_class_id;
	}

	public String getCunitid() {
		return cunitid;
	}

	public void setCunitid(String cunitid) {
		this.cunitid = cunitid;
	}

	public String getCunitid_name() {
		return cunitid_name;
	}

	public void setCunitid_name(String cunitid_name) {
		this.cunitid_name = cunitid_name;
	}

	public String getCastunitid() {
		return castunitid;
	}

	public void setCastunitid(String castunitid) {
		this.castunitid = castunitid;
	}

	public String getCastunitid_name() {
		return castunitid_name;
	}

	public void setCastunitid_name(String castunitid_name) {
		this.castunitid_name = castunitid_name;
	}

	public BigDecimal getNnum() {
		return nnum;
	}

	public void setNnum(BigDecimal nnum) {
		this.nnum = nnum;
	}

	public BigDecimal getNastnum() {
		return nastnum;
	}

	public void setNastnum(BigDecimal nastnum) {
		this.nastnum = nastnum;
	}

	public String getVchangerate() {
		return vchangerate;
	}

	public void setVchangerate(String vchangerate) {
		this.vchangerate = vchangerate;
	}

	public BigDecimal getNorigprice() {
		return norigprice;
	}

	public void setNorigprice(BigDecimal norigprice) {
		this.norigprice = norigprice;
	}

	public BigDecimal getNorigtaxprice() {
		return norigtaxprice;
	}

	public void setNorigtaxprice(BigDecimal norigtaxprice) {
		this.norigtaxprice = norigtaxprice;
	}

	public BigDecimal getNorignetprice() {
		return norignetprice;
	}

	public void setNorignetprice(BigDecimal norignetprice) {
		this.norignetprice = norignetprice;
	}

	public BigDecimal getNorigtaxnetprice() {
		return norigtaxnetprice;
	}

	public void setNorigtaxnetprice(BigDecimal norigtaxnetprice) {
		this.norigtaxnetprice = norigtaxnetprice;
	}

	public BigDecimal getNtax() {
		return ntax;
	}

	public void setNtax(BigDecimal ntax) {
		this.ntax = ntax;
	}

	public BigDecimal getNorigtaxmny() {
		return norigtaxmny;
	}

	public void setNorigtaxmny(BigDecimal norigtaxmny) {
		this.norigtaxmny = norigtaxmny;
	}

	public BigDecimal getNtaxrate() {
		return ntaxrate;
	}

	public void setNtaxrate(BigDecimal ntaxrate) {
		this.ntaxrate = ntaxrate;
	}

	public String getCorigcurrencyid() {
		return corigcurrencyid;
	}

	public void setCorigcurrencyid(String corigcurrencyid) {
		this.corigcurrencyid = corigcurrencyid;
	}

	public String getCorigcurrencyid_name() {
		return corigcurrencyid_name;
	}

	public void setCorigcurrencyid_name(String corigcurrencyid_name) {
		this.corigcurrencyid_name = corigcurrencyid_name;
	}

	public String getCsourcetypecode() {
		return csourcetypecode;
	}

	public void setCsourcetypecode(String csourcetypecode) {
		this.csourcetypecode = csourcetypecode;
	}

	public String getCsourceid() {
		return csourceid;
	}

	public void setCsourceid(String csourceid) {
		this.csourceid = csourceid;
	}

	public String getCsourcebid() {
		return csourcebid;
	}

	public void setCsourcebid(String csourcebid) {
		this.csourcebid = csourcebid;
	}

	public String getCfirsttypecode() {
		return cfirsttypecode;
	}

	public void setCfirsttypecode(String cfirsttypecode) {
		this.cfirsttypecode = cfirsttypecode;
	}

	public String getCfirstid() {
		return cfirstid;
	}

	public void setCfirstid(String cfirstid) {
		this.cfirstid = cfirstid;
	}

	public String getCfirstbid() {
		return cfirstbid;
	}

	public void setCfirstbid(String cfirstbid) {
		this.cfirstbid = cfirstbid;
	}

	public String getBlargess() {
		return blargess;
	}

	public void setBlargess(String blargess) {
		this.blargess = blargess;
	}

	public String getVfirsttrantype() {
		return vfirsttrantype;
	}

	public void setVfirsttrantype(String vfirsttrantype) {
		this.vfirsttrantype = vfirsttrantype;
	}

	public String getVfirstcode() {
		return vfirstcode;
	}

	public void setVfirstcode(String vfirstcode) {
		this.vfirstcode = vfirstcode;
	}

	public String getVfirstrowno() {
		return vfirstrowno;
	}

	public void setVfirstrowno(String vfirstrowno) {
		this.vfirstrowno = vfirstrowno;
	}

	public String getVsourcetrantype() {
		return vsourcetrantype;
	}

	public void setVsourcetrantype(String vsourcetrantype) {
		this.vsourcetrantype = vsourcetrantype;
	}

	public String getVsourcecode() {
		return vsourcecode;
	}

	public void setVsourcecode(String vsourcecode) {
		this.vsourcecode = vsourcecode;
	}

	public String getVsourcerowno() {
		return vsourcerowno;
	}

	public void setVsourcerowno(String vsourcerowno) {
		this.vsourcerowno = vsourcerowno;
	}

	public String getVfree1() {
		return vfree1;
	}

	public void setVfree1(String vfree1) {
		this.vfree1 = vfree1;
	}

	public String getVfree2() {
		return vfree2;
	}

	public void setVfree2(String vfree2) {
		this.vfree2 = vfree2;
	}

	public String getVfree3() {
		return vfree3;
	}

	public void setVfree3(String vfree3) {
		this.vfree3 = vfree3;
	}

	public String getVfree4() {
		return vfree4;
	}

	public void setVfree4(String vfree4) {
		this.vfree4 = vfree4;
	}

	public String getVfree5() {
		return vfree5;
	}

	public void setVfree5(String vfree5) {
		this.vfree5 = vfree5;
	}

	public String getVfree6() {
		return vfree6;
	}

	public void setVfree6(String vfree6) {
		this.vfree6 = vfree6;
	}

	public String getPk_grade() {
		return pk_grade;
	}

	public void setPk_grade(String pk_grade) {
		this.pk_grade = pk_grade;
	}

	public String getVfree7() {
		return vfree7;
	}

	public void setVfree7(String vfree7) {
		this.vfree7 = vfree7;
	}

	public String getPk_vfree8() {
		return pk_vfree8;
	}

	public void setPk_vfree8(String pk_vfree8) {
		this.pk_vfree8 = pk_vfree8;
	}

	public String getVfree8() {
		return vfree8;
	}

	public void setVfree8(String vfree8) {
		this.vfree8 = vfree8;
	}

	public String getVfree9() {
		return vfree9;
	}

	public void setVfree9(String vfree9) {
		this.vfree9 = vfree9;
	}

	public String getPk_vfree10() {
		return pk_vfree10;
	}

	public void setPk_vfree10(String pk_vfree10) {
		this.pk_vfree10 = pk_vfree10;
	}

	public String getVfree10() {
		return vfree10;
	}

	public void setVfree10(String vfree10) {
		this.vfree10 = vfree10;
	}

	public String getVbdef1() {
		return vbdef1;
	}

	public void setVbdef1(String vbdef1) {
		this.vbdef1 = vbdef1;
	}

	public String getVbdef2() {
		return vbdef2;
	}

	public void setVbdef2(String vbdef2) {
		this.vbdef2 = vbdef2;
	}

	public String getVbdef3() {
		return vbdef3;
	}

	public void setVbdef3(String vbdef3) {
		this.vbdef3 = vbdef3;
	}

	public String getVbdef4() {
		return vbdef4;
	}

	public void setVbdef4(String vbdef4) {
		this.vbdef4 = vbdef4;
	}

	public String getVbdef5() {
		return vbdef5;
	}

	public void setVbdef5(String vbdef5) {
		this.vbdef5 = vbdef5;
	}

	public String getVbdef6() {
		return vbdef6;
	}

	public void setVbdef6(String vbdef6) {
		this.vbdef6 = vbdef6;
	}

	public String getVbdef7() {
		return vbdef7;
	}

	public void setVbdef7(String vbdef7) {
		this.vbdef7 = vbdef7;
	}

	public String getVbdef8() {
		return vbdef8;
	}

	public void setVbdef8(String vbdef8) {
		this.vbdef8 = vbdef8;
	}

	public String getVbdef9() {
		return vbdef9;
	}

	public void setVbdef9(String vbdef9) {
		this.vbdef9 = vbdef9;
	}

	public String getVbdef10() {
		return vbdef10;
	}

	public void setVbdef10(String vbdef10) {
		this.vbdef10 = vbdef10;
	}

	public String getVbdef11() {
		return vbdef11;
	}

	public void setVbdef11(String vbdef11) {
		this.vbdef11 = vbdef11;
	}

	public String getVbdef12() {
		return vbdef12;
	}

	public void setVbdef12(String vbdef12) {
		this.vbdef12 = vbdef12;
	}

	public String getVbdef13() {
		return vbdef13;
	}

	public void setVbdef13(String vbdef13) {
		this.vbdef13 = vbdef13;
	}

	public String getVbdef14() {
		return vbdef14;
	}

	public void setVbdef14(String vbdef14) {
		this.vbdef14 = vbdef14;
	}

	public String getVbdef15() {
		return vbdef15;
	}

	public void setVbdef15(String vbdef15) {
		this.vbdef15 = vbdef15;
	}

	public String getVbdef16() {
		return vbdef16;
	}

	public void setVbdef16(String vbdef16) {
		this.vbdef16 = vbdef16;
	}

	public String getVbdef17() {
		return vbdef17;
	}

	public void setVbdef17(String vbdef17) {
		this.vbdef17 = vbdef17;
	}

	public String getVbdef18() {
		return vbdef18;
	}

	public void setVbdef18(String vbdef18) {
		this.vbdef18 = vbdef18;
	}

	public String getVbdef19() {
		return vbdef19;
	}

	public void setVbdef19(String vbdef19) {
		this.vbdef19 = vbdef19;
	}

	public String getVbdef20() {
		return vbdef20;
	}

	public void setVbdef20(String vbdef20) {
		this.vbdef20 = vbdef20;
	}

	public String getVbmemo() {
		return vbmemo;
	}

	public void setVbmemo(String vbmemo) {
		this.vbmemo = vbmemo;
	}

	public String getExternal_material_spec() {
		return external_material_spec;
	}

	public void setExternal_material_spec(String external_material_spec) {
		this.external_material_spec = external_material_spec;
	}

	public String getCqtunitid() {
		return cqtunitid;
	}

	public void setCqtunitid(String cqtunitid) {
		this.cqtunitid = cqtunitid;
	}

	public String getCqtunitid_name() {
		return cqtunitid_name;
	}

	public void setCqtunitid_name(String cqtunitid_name) {
		this.cqtunitid_name = cqtunitid_name;
	}

	public BigDecimal getNqtunitnum() {
		return nqtunitnum;
	}

	public void setNqtunitnum(BigDecimal nqtunitnum) {
		this.nqtunitnum = nqtunitnum;
	}

	public BigDecimal getNexchangerate() {
		return nexchangerate;
	}

	public void setNexchangerate(BigDecimal nexchangerate) {
		this.nexchangerate = nexchangerate;
	}

	public String getPk_recvstordoc() {
		return pk_recvstordoc;
	}

	public void setPk_recvstordoc(String pk_recvstordoc) {
		this.pk_recvstordoc = pk_recvstordoc;
	}

	public String getRecvstordoc_name() {
		return recvstordoc_name;
	}

	public void setRecvstordoc_name(String recvstordoc_name) {
		this.recvstordoc_name = recvstordoc_name;
	}

	public String getDplanarrvdate() {
		return dplanarrvdate;
	}

	public void setDplanarrvdate(String dplanarrvdate) {
		this.dplanarrvdate = dplanarrvdate;
	}

	public String getSpecial_type() {
		return special_type;
	}

	public void setSpecial_type(String special_type) {
		this.special_type = special_type;
	}

	public String getVbatchcode() {
		return vbatchcode;
	}

	public void setVbatchcode(String vbatchcode) {
		this.vbatchcode = vbatchcode;
	}

	public String getIc_id() {
		return ic_id;
	}

	public void setIc_id(String ic_id) {
		this.ic_id = ic_id;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public BigDecimal getTaxprice() {
		return taxprice;
	}

	public void setTaxprice(BigDecimal taxprice) {
		this.taxprice = taxprice;
	}

	public String getMaterial_id() {
		return material_id;
	}

	public void setMaterial_id(String material_id) {
		this.material_id = material_id;
	}
}
