package com.hzya.frame.plugin.ncc.service.impl;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.plugin.ncc.dao.IPOrderBDao;
import com.hzya.frame.plugin.ncc.entity.POrderBEntity;
import com.hzya.frame.plugin.ncc.service.IPOrderBService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description: 采购订单子表  service
 * @tableName:   po_order_b 
 * @entityName:  POrderBEntity
 * @author: 	 code_generator
 * @history:	 1.0
 */
@Service(value="po_order_bService")
public class  POrderBServiceImpl extends BaseService<POrderBEntity,String> implements IPOrderBService {
	
	protected IPOrderBDao  porderbDao;
	
	@Autowired
	public void setPOrderBDao(IPOrderBDao dao) {
		this.porderbDao = dao;
		this.dao=dao;
	}

	/**
	 * 查询采购订单子表
	 *
	 * @param entity
	 * @return
	 */
	@DS(value = "#entity.dataSourceCode")
	@Override
	public List<POrderBEntity> queryList(POrderBEntity entity) {
		List<POrderBEntity> queryList = porderbDao.query(entity);
		return queryList;
	}
}
