package com.hzya.frame.plugin.ncc.service.impl;

import cn.dev33.satoken.stp.StpUtil;
import cn.hutool.core.lang.Assert;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.plugin.ncc.dao.IPOrderHDao;
import com.hzya.frame.plugin.ncc.entity.POrderHEntity;
import com.hzya.frame.plugin.ncc.service.IPOrderHService;
import org.apache.ibatis.session.SqlSession;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @description: 采购订单主表  service
 * @tableName:   po_order
 * @entityName:  POrderHEntity
 * @author: 	 code_generator
 * @history:	 1.0
 */
@Service(value="po_orderService")
public class  POrderHServiceImpl extends BaseService<POrderHEntity,String> implements IPOrderHService {

	protected IPOrderHDao porderhDao;


	@Autowired
	public void setPOrderHDao(IPOrderHDao dao) {

		this.porderhDao = dao;
		this.dao=dao;
	}

	/**
	 * 查询采购订单主表
	 *
	 * @param entity
	 * @return
	 */
	@DS(value = "#entity.dataSourceCode")
	@Override
	public List<POrderHEntity> queryList(POrderHEntity entity) {
		List<POrderHEntity> queryList = porderhDao.query(entity);
		return queryList;
	}
}
